import { InputHandler } from '../../../utils/input-handler';
import { InputElement } from './element-input';
export declare class BceElementInput {
    private el;
    handler: InputHandler;
    language?: string;
    template: InputElement;
    value: string;
    private handleInput;
    validate(silent?: boolean): Promise<import("@bcase/core").ValidatorError[]>;
    render(): any[];
}
